package com.liquidnet.service.kylin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class KylinGroupBuyMember implements Serializable, Cloneable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Integer mid;

    private String memberId;
    private String groupOrderId;
    private String userId;
    private String orderTicketsId;
    private Integer ticketCount;
    private Integer status;
    private LocalDateTime joinTime;
    private LocalDateTime createdAt;

    private static final KylinGroupBuyMember obj = new KylinGroupBuyMember();

    public static KylinGroupBuyMember getNew() {
        try {
            return (KylinGroupBuyMember) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinGroupBuyMember();
        }
    }
}
